Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui
Class RenderStampStore

    java.lang.Object
      org.jboss.seam.ui.RenderStampStore

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.ui.renderStampStore")
    @Scope(value=SESSION)
    @Install(precedence=0,
             value=false)
    @AutoCreate
    @BypassInterceptors
    public class RenderStampStore

extends Object
implements Serializable

A class that stores render stamps for use with <s:token> when client side state saving is in use. By default the render stamp store will never remove a render stamp unless instructed to by a UIToken. If the maxSize property is larger than zero then it will control the maximum number of tokens stored, with the oldest token being removed when a token is inserted that will take the store over the maxSize limit. The default maxSize is 100.

Author:
  Stuart Douglas
See Also:
  Serialized Form

Constructor Summary
`RenderStampStore()`

Method Summary
`int` | `getMaxSize()`
`String` | `getStamp(String viewSigniture)`
`static RenderStampStore` | `instance()`
`void` | `removeStamp(String viewSigniture)`
`void` | `setMaxSize(int maxSize)`
`String` | `storeStamp(String stamp)` Stores a stamp in the store, and returns the key it is stored under.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderStampStore

    public RenderStampStore()

Method Detail

### storeStamp

    public String storeStamp(String stamp)

  Stores a stamp in the store, and returns the key it is stored under.

### removeStamp

    public void removeStamp(String viewSigniture)

### getStamp

    public String getStamp(String viewSigniture)

### instance

    public static RenderStampStore instance()

### getMaxSize

    public int getMaxSize()

### setMaxSize

    public void setMaxSize(int maxSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.